Subject: bug#62896: [Configure] Bug with check for PERL when path has spaces (i.e. Windows)

From: Karl Berry <[email-masked]>
Date: Fri, 21 Apr 2023 15:57:12 -0600

Thanks for the report, Dan, and for looking into this, Bogdan.

            #!User bins/perl

Apart from anything else, this cannot be solved. Shebang lines do not
support quoting.

Thus I think what we should do is have configure give a better error
message when the Perl path contains whitespace, that is, explicitly
stating it can't be supported.  Instead of just failing "by the way" due
to the lack of quoting. Would you be up for making a patch for that?

Thanks,
Karl